<?xml version="1.0" encoding="UTF-8"?>
<component id="agua_lecturas_gdfl">
    <type>GRID_DETAIL_FORM_LABEL</type>
    <title>Lecturas</title>
    <rows>200</rows>
    <width>990</width>
    <height>650</height>
    <pbin>gdp.exe</pbin>
    <base_path>..</base_path>
    <clase>
        <table>sdd_agua_lecturas</table>
        <id_field>i8_agua_id</id_field>
        <autoincrement>NO</autoincrement>
        <temp_id_field>NO</temp_id_field>
        <select_fields>i8_agua_id,i8_periodo,dt_lectura,d82_lectura_anterior,d82_lectura_actual,c3_tipo_lectura_id,dt_aplicacion,ts_in,ts_update</select_fields>
        <insert_fields>i8_agua_id,i8_periodo,dt_lectura,d82_lectura_anterior,d82_lectura_actual,c3_tipo_lectura_id,dt_aplicacion,ts_in</insert_fields>
        <update_fields>i8_agua_id,i8_periodo,dt_lectura,d82_lectura_anterior,d82_lectura_actual,c3_tipo_lectura_id,dt_aplicacion</update_fields>
        <delete_fields>i8_agua_id,i8_periodo</delete_fields>
        <needed_fields>i8_agua_id,i8_periodo,dt_lectura,d82_lectura_anterior,d82_lectura_actual,dt_aplicacion,c3_tipo_lectura_id</needed_fields>
        <order_by>1</order_by>
        <direction>asc</direction>
        <limit>200</limit>
        <offset>0</offset>                
        <select_labels id="null"></select_labels>
        <associations>NO</associations>
    </clase>
    <elements>NO</elements>
    <element id ="null"></element> 
    <grid>
        <columns>i8_periodo,dt_lectura,d82_lectura_anterior,d82_lectura_actual,dt_aplicacion,c3_tipo_lectura_id</columns>
        <column id="i8_periodo">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>PERIODO</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_lectura">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>F.LECTURA</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_lectura_anterior">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ANTERIOR</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="d82_lectura_actual">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>ACTUAL</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="dt_aplicacion">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>F.APLICACION</header>
                <width>8</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="c3_tipo_lectura_id">
            <properties>
                <type>text</type>
                <data>text</data>
                <header>TIPO</header>
                <width>3</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <column id="counter">
            <properties>
                <type>link</type>
                <data>text</data>
                <header>No.</header>
                <width>4</width>
            </properties>        
            <events>
                <onMouseOver>Hilite()</onMouseOver>
                <onMouseOut>Restore()</onMouseOut>
            </events>
            <elements>NO</elements>
        </column>
        <counter>ON</counter>
        <delete>ON</delete>
        <tdheader_style>text-align:center</tdheader_style>
        <tdbody_style>text-align:left;vertical-align:center</tdbody_style>
    </grid>
</component>